[package]
name = "authdb"
version = "0.1.0"
edition = "2021"

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html

[lib]
name = "authdb"
path = "src/lib.rs"

[[bin]]
name = "auth-cli"
path = "src/bin/cli.rs"

[dependencies]
base64ct  = { version = "1", features = [ "alloc" ] }
clap      = { version = "4", features = [ "derive" ] }
serde     = { version = "1.0", features = ["derive"] }
sha2      = { version = "0.10" }
sqlx      = { version = "0.7", features = [ "runtime-tokio", "sqlite" ] }
thiserror = { version = "1" }
tokio     = { version = "1", features = [ "full" ] }
uuid      = { version = "0.4", features = [ "serde", "v4" ] }

[dev-dependencies]
cool_asserts = "*"
